de.vc.io.rtf

## Class AbstractRTFToken

- java.lang.Object
- - de.vc.io.rtf.AbstractRTFToken

- Direct Known Subclasses:
    BinaryRTFToken, SimpleRTFToken, Token

      public abstract class AbstractRTFToken
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_BINARY`
    `static int` | `TYPE_BRACE_CLOSED`
    `static int` | `TYPE_BRACE_OPEN`
    `static int` | `TYPE_CONTROL`
    `static int` | `TYPE_ESCAPE_CHARACTER`
    `static int` | `TYPE_NEXT_CONTROL_OPTIONAL`
    `static int` | `TYPE_NON_BREAKING_HYPHEN`
    `static int` | `TYPE_NON_BREAKING_SPACE`
    `static int` | `TYPE_NULL`
    `static int` | `TYPE_OPTIONAL_HYPHEN`
    `static int` | `TYPE_TEXT`
    `static int` | `TYPE_UNICODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRTFToken()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getControl()`
    `abstract java.lang.Integer` | `getControlNumber()`
    `java.lang.String` | `getCtrlDesc()`
    `abstract int` | `getLevel()`
    `abstract java.lang.String` | `getText()`
    `abstract int` | `getType()`
    `boolean` | `isCtrlEnabled()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_NULL

          public static final int TYPE_NULL

      See Also:
        Constant Field Values

    - #### TYPE_BRACE_OPEN

          public static final int TYPE_BRACE_OPEN

      See Also:
        Constant Field Values

    - #### TYPE_BRACE_CLOSED

          public static final int TYPE_BRACE_CLOSED

      See Also:
        Constant Field Values

    - #### TYPE_TEXT

          public static final int TYPE_TEXT

      See Also:
        Constant Field Values

    - #### TYPE_CONTROL

          public static final int TYPE_CONTROL

      See Also:
        Constant Field Values

    - #### TYPE_NON_BREAKING_SPACE

          public static final int TYPE_NON_BREAKING_SPACE

      See Also:
        Constant Field Values

    - #### TYPE_NON_BREAKING_HYPHEN

          public static final int TYPE_NON_BREAKING_HYPHEN

      See Also:
        Constant Field Values

    - #### TYPE_OPTIONAL_HYPHEN

          public static final int TYPE_OPTIONAL_HYPHEN

      See Also:
        Constant Field Values

    - #### TYPE_UNICODE

          public static final int TYPE_UNICODE

      See Also:
        Constant Field Values

    - #### TYPE_NEXT_CONTROL_OPTIONAL

          public static final int TYPE_NEXT_CONTROL_OPTIONAL

      See Also:
        Constant Field Values

    - #### TYPE_ESCAPE_CHARACTER

          public static final int TYPE_ESCAPE_CHARACTER

      See Also:
        Constant Field Values

    - #### TYPE_BINARY

          public static final int TYPE_BINARY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractRTFToken

          public AbstractRTFToken()

  - ### Method Detail

    - #### getType

          public abstract int getType()

    - #### getControl

          public abstract java.lang.String getControl()

    - #### getControlNumber

          public abstract java.lang.Integer getControlNumber()

    - #### getText

          public abstract java.lang.String getText()

    - #### getLevel

          public abstract int getLevel()

    - #### isCtrlEnabled

          public boolean isCtrlEnabled()

    - #### getCtrlDesc

          public java.lang.String getCtrlDesc()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.